### Enumeration

# Gdk EventType

#### Declaration

    enum Gdk.EventType

#### Description [src]

Specifies the type of the event.

#### Members

Name | Description
--- | ---
`GDK_DELETE` | The window manager has requested that the toplevel surface be hidden or destroyed, usually when the user clicks on a special icon in the title bar.
`GDK_MOTION_NOTIFY` | The pointer (usually a mouse) has moved.
`GDK_BUTTON_PRESS` | A mouse button has been pressed.
`GDK_BUTTON_RELEASE` | A mouse button has been released.
`GDK_KEY_PRESS` | A key has been pressed.
`GDK_KEY_RELEASE` | A key has been released.
`GDK_ENTER_NOTIFY` | The pointer has entered the surface.
`GDK_LEAVE_NOTIFY` | The pointer has left the surface.
`GDK_FOCUS_CHANGE` | The keyboard focus has entered or left the surface.
`GDK_PROXIMITY_IN` | An input device has moved into contact with a sensing surface (e.g. a touchscreen or graphics tablet).
`GDK_PROXIMITY_OUT` | An input device has moved out of contact with a sensing surface.
`GDK_DRAG_ENTER` | The mouse has entered the surface while a drag is in progress.
`GDK_DRAG_LEAVE` | The mouse has left the surface while a drag is in progress.
`GDK_DRAG_MOTION` | The mouse has moved in the surface while a drag is in progress.
`GDK_DROP_START` | A drop operation onto the surface has started.
`GDK_SCROLL` | The scroll wheel was turned.
`GDK_GRAB_BROKEN` | A pointer or keyboard grab was broken.
`GDK_TOUCH_BEGIN` | A new touch event sequence has just started.
`GDK_TOUCH_UPDATE` | A touch event sequence has been updated.
`GDK_TOUCH_END` | A touch event sequence has finished.
`GDK_TOUCH_CANCEL` | A touch event sequence has been canceled.
`GDK_TOUCHPAD_SWIPE` | A touchpad swipe gesture event, the current state is determined by its phase field.
`GDK_TOUCHPAD_PINCH` | A touchpad pinch gesture event, the current state is determined by its phase field.
`GDK_PAD_BUTTON_PRESS` | A tablet pad button press event.
`GDK_PAD_BUTTON_RELEASE` | A tablet pad button release event.
`GDK_PAD_RING` | A tablet pad axis event from a “ring”.
`GDK_PAD_STRIP` | A tablet pad axis event from a “strip”.
`GDK_PAD_GROUP_MODE` | A tablet pad group mode change.
`GDK_EVENT_LAST` | Marks the end of the GdkEventType enumeration.